| LightHub v4.0.0 Smarthome controller firmware

Classes | Macros | Variables
inputs.h File Reference
`#include <aJSON.h>`
`#include "modules/in_ccs811_hdc1080.h"`
`#include "itemCmd.h"`

Go to the source code of this file.

## Classes
union | inStore
class | Input
class | readCache

## Macros
#define | IN_ACTIVE_HIGH 2
#define | IN_ANALOG 64
#define | IN_RE 32
#define | IN_I2C 128
#define | IN_PUSH_ON 0
#define | IN_PUSH_TOGGLE 1
#define | IN_DHT22 4
#define | IN_CCS811 5
#define | IN_HDC1080 6
#define | IN_COUNTER 8
#define | IN_UPTIME 16
#define | IS_IDLE 0
#define | IS_PRESSED 1
#define | IS_RELEASED 2
#define | IS_LONG 3
#define | IS_REPEAT 4
#define | IS_WAITPRESS 5
#define | IS_PRESSED2 6
#define | IS_RELEASED2 7
#define | IS_LONG2 8u
#define | IS_REPEAT2 9u
#define | IS_PRESSED3 10u
#define | IS_LONG3 11u
#define | IS_REPEAT3 12u
#define | IS_WAITRELEASE 13u
#define | IS_REQSTATE 0xFF
#define | SAME_STATE_ATTEMPTS 2
#define | ANALOG_STATE_ATTEMPTS 6
#define | ANALOG_NOIZE 1
#define | CHECK_SENSOR 1
#define | CHECK_INPUT 2
#define | CHECK_INTERRUPT 3
#define | T_LONG 1000
#define | T_IDLE 600
#define | T_RPT 300
#define | T_RPT_PULSE 150

## Variables
aJsonObject * | inputs
readCache | inCache

## Macro Definition Documentation

## ◆ ANALOG_NOIZE

#define ANALOG_NOIZE 1

## ◆ ANALOG_STATE_ATTEMPTS

#define ANALOG_STATE_ATTEMPTS 6

## ◆ CHECK_INPUT

#define CHECK_INPUT 2

## ◆ CHECK_INTERRUPT

#define CHECK_INTERRUPT 3

## ◆ CHECK_SENSOR

#define CHECK_SENSOR 1

## ◆ IN_ACTIVE_HIGH

#define IN_ACTIVE_HIGH 2

## ◆ IN_ANALOG

#define IN_ANALOG 64

## ◆ IN_CCS811

#define IN_CCS811 5

## ◆ IN_COUNTER

#define IN_COUNTER 8

## ◆ IN_DHT22

#define IN_DHT22 4

## ◆ IN_HDC1080

#define IN_HDC1080 6

## ◆ IN_I2C

#define IN_I2C 128

## ◆ IN_PUSH_ON

#define IN_PUSH_ON 0

## ◆ IN_PUSH_TOGGLE

#define IN_PUSH_TOGGLE 1

## ◆ IN_RE

#define IN_RE 32

## ◆ IN_UPTIME

#define IN_UPTIME 16

## ◆ IS_IDLE

#define IS_IDLE 0

## ◆ IS_LONG

#define IS_LONG 3

## ◆ IS_LONG2

#define IS_LONG2 8u

## ◆ IS_LONG3

#define IS_LONG3 11u

## ◆ IS_PRESSED

#define IS_PRESSED 1

## ◆ IS_PRESSED2

#define IS_PRESSED2 6

## ◆ IS_PRESSED3

#define IS_PRESSED3 10u

## ◆ IS_RELEASED

#define IS_RELEASED 2

## ◆ IS_RELEASED2

#define IS_RELEASED2 7

## ◆ IS_REPEAT

#define IS_REPEAT 4

## ◆ IS_REPEAT2

#define IS_REPEAT2 9u

## ◆ IS_REPEAT3

#define IS_REPEAT3 12u

## ◆ IS_REQSTATE

#define IS_REQSTATE 0xFF

## ◆ IS_WAITPRESS

#define IS_WAITPRESS 5

## ◆ IS_WAITRELEASE

#define IS_WAITRELEASE 13u

## ◆ SAME_STATE_ATTEMPTS

#define SAME_STATE_ATTEMPTS 2

## ◆ T_IDLE

#define T_IDLE 600

## ◆ T_LONG

#define T_LONG 1000

## ◆ T_RPT

#define T_RPT 300

## ◆ T_RPT_PULSE

#define T_RPT_PULSE 150

## Variable Documentation

## ◆ inCache

readCache inCache
| extern

## ◆ inputs

aJsonObject* inputs
| extern